当前位置: 首页 > 应急响应 > 正文

Apache Log4j 2 远程代码执行漏洞通告

Apache Log4j 2 远程代码执行漏洞通告

报告编号:B6-2021-121001

报告来源:360CERT

报告作者:360CERT

更新日期:2021-12-20

0x01   漏洞简述

2021年12月09日,360CERT监测发现Apache Log4j 2存在JNDI远程代码执行,漏洞等级:严重,漏洞评分:10.0

Apache Log4j 2是一个开源的日志记录组件,使用非常的广泛,使用情况参考:

https://mvnrepository.com/artifact/org.apache.logging.log4j/log4j-core/usages

对此,360CERT建议广大用户尽快将Apache Log4j 2进行升级,以免遭受黑客攻击。

0x02   风险等级

360CERT对该漏洞的评定结果如下

评定方式 等级
威胁等级 严重
影响面 广泛
攻击者价值
利用难度
360CERT评分 10.0

0x03   影响版本

组件 影响版本 安全版本
apache:log4j 2.0 – 2.16.0 2.17.0

0x04   内部自查

项目依赖版本检测

检测pom依赖版本是否低于 2.17.0

<dependencies>
  <dependency>
    <groupId>org.apache.logging.log4j</groupId>
    <artifactId>log4j-api</artifactId>
    <version>2.17.0</version>
  </dependency>
  <dependency>
    <groupId>org.apache.logging.log4j</groupId>
    <artifactId>log4j-core</artifactId>
    <version>2.17.0</version>
  </dependency>
</dependencies>

检测gradle依赖版本是否低于 2.17.0

dependencies {
  compile group: 'org.apache.logging.log4j', name: 'log4j-api', version: '2.17.0'
  compile group: 'org.apache.logging.log4j', name: 'log4j-core', version: '2.17.0'
} 

检测Ivy依赖版本是否低于 2.17.0

<dependencies>
  <dependency org="org.apache.logging.log4j" name="log4j-api" rev="2.17.0" />
  <dependency org="org.apache.logging.log4j" name="log4j-core" rev="2.17.0" />
</dependencies>

检测SBT依赖版本是否低于 2.17.0

libraryDependencies += "org.apache.logging.log4j" % "log4j-api" % "2.17.0"
libraryDependencies += "org.apache.logging.log4j" % "log4j-core" % "2.17.0"

若没有使用上述工具,那么可以全局搜索项目中是否存在log4j的相关jar包,并通过jar包中的/META-INF/MANIFEST.MF文件查看log4j的版本。

日志/流量排查

1. 排查日志或者解码后完整的请求数据包中是否存在${关键字。

2. 排查日志是否存在相关堆栈报错,堆栈里是否有JndiLookupldapURLContextgetObjectFactoryFromReference等与 jndi 调用相关的堆栈信息。

0x05   修复建议

通用修补建议

升级到最新版本 2.17.0 :

https://github.com/apache/logging-log4j2/releases/tag/rel%2F2.17.0

临时修补建议

1. 设置JVM启动参数-Dlog4j2.formatMsgNoLookups=true

2. 尽量使用JDK 版本大于11.0.1、8u191、7u201、6u211,需要注意的是,即使是使用了 JDK 高版本也不能完全保证安全,依然存在本地绕过的情况。

3. 限制不必要的业务访问外网。

4. 采用 rasp 对lookup的调用进行阻断。

0x06   产品侧解决方案

若想了解更多产品信息或有相关业务需求,可移步至http://360.net。

360安全卫士

Windows用户可通过360安全卫士实现对应补丁安装、漏洞修复、恶意软件查杀,其他平台的用户可以根据修复建议列表中的安全建议进行安全维护。

360CERT建议广大用户使用360安全卫士定期对设备进行安全检测,以做好资产自查以及防护工作。

360安全卫士团队版

用户可以通过安装360安全卫士并进行全盘杀毒来维护计算机安全。360CERT建议广大用户使用360安全卫士定期对设备进行安全检测,以做好资产自查以及防护工作。

360本地安全大脑

360本地安全大脑是将360云端安全大脑核心能力本地化部署的一套开放式全场景安全运营平台,实现安全态势、监控、分析、溯源、研判、响应、管理的智能化安全运营赋能。360本地安全大脑已支持对相关漏洞利用的检测,请及时更新网络神经元(探针)规则和本地安全大脑关联分析规则,做好防护。

360终端安全管理系统

360终端安全管理系统软件是在360安全大脑极智赋能下,以大数据、云计算等新技术为支撑,以可靠服务为保障,集防病毒与终端安全管控功能于一体的企业级安全产品。

360终端安全管理系统已支持对相关漏洞进行检测和修复,建议用户及时更新漏洞库并安装更新相关补丁。

0x07   时间线

2021-12-10 360CERT发布通告

2021-12-20 360CERT更新通告

0x08   参考链接

1、 https://github.com/apache/logging-log4j2/releases/tag/rel%2F2.17.0

本文固定链接: https://www.moondream.cn/?p=2698 | 月梦工作室

avatar
该日志由 moondream 于2022年09月19日发表在 应急响应 分类下, 你可以发表评论,并在保留原文地址及作者的情况下引用到你的网站或博客。
原创文章转载请注明: Apache Log4j 2 远程代码执行漏洞通告 | 月梦工作室

Apache Log4j 2 远程代码执行漏洞通告:等您坐沙发呢!

发表评论

快捷键:Ctrl+Enter